Application expects grails version [1.1.1], but GRAILS_HOME is version [null]

Hi,

since I upgraded the Intellij Idea from 8.1.3 to 8.1.4 i cannot run my grails application anymore. It fails with the following error message:

Running script C:\grails-1.1.1\scripts\RunApp.groovy
Environment set to development
Application expects grails version [1.1.1], but GRAILS_HOME is version [null] - use the correct Grails version or run 'grails upgrade' if this Grails version is newer than the version your application expects.
Disconnected from the target VM, address: '127.0.0.1:6863', transport: 'socket'

Process finished with exit code 1

I keep getting the same error message even after running 'grails upgrade'. In settings -> Path variables the GRAILS_HOME variable is set to the correct grails folder.

Any ideas what the problem might be?

Thx, Kilian

0

Same problem here with any Grails version, but only on Windows ... on my mac everything works fine. Seems that 8.1.4 on Win is unusable for Grails development.

0

me, three
and I just submitted a bug report as well and got a reply saying "Our developers are working on this issue."

FWIW I wasn't setting any PATH variables within Intellij, but have just been using windows environment variables to set GRAILS_HOME.

0

I got mine working.

Look at the command line IntelliJ is launching the grails app with.
Is the classpath a mile long - with duplicate entries?

Mine was.  In my case my Grails User Library had references to stuff when my GRAIL_HOME was in a different location which was on a network drive.  These appeared repeatedly in the (run-app) launch command's classpath.  I removed the bad entries from Grails User Library and the classpath reduced to only some bootstrap stuff and not all my plugin jars.

Steve

0

Thanks a lot Steve,

that helped!

0

Oh no! Every time I install a plugin it reverts back all dependencies in Grails User Library and I have to remove them manually. Hope this get's fixed soon, please!

0

Could you provide more details, which entries are bad, do they appear to
be connected with the installed Grails plugins?

0

In my case, it is because that I have jar which contains "build.properties" in its root (the jar is from GraniteDS). I had to separate that jar from grails app's classpath.
Similarly people complained about Quartz.jar too. http://jira.codehaus.org/browse/GRAILS-4969

0

请先登录再写评论。